Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056078 - Please backport patches to implement rcache tweaking via cred_store API
Summary: Please backport patches to implement rcache tweaking via cred_store API
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: krb5
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1056080
TreeView+ depends on / blocked
 
Reported: 2014-01-21 14:11 UTC by Simo Sorce
Modified: 2014-02-07 03:13 UTC (History)
4 users (show)

Fixed In Version: krb5-1.11.3-39.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1056080 (view as bug list)
Environment:
Last Closed: 2014-02-07 03:13:02 UTC


Attachments (Terms of Use)

Description Simo Sorce 2014-01-21 14:11:51 UTC
These patches are needed to allow gssproxy to selectively disable rcaches or implement separate rcache for separate services.

In particular these patches are critical to be able to handle upstream bug:
https://fedorahosted.org/gss-proxy/ticket/101

The relevant patches are:

preparatory:
https://github.com/krb5/krb5/commit/74ff6c4accb68bd1d6c652c55e66519720db9fc4
https://github.com/krb5/krb5/commit/ef8e19af863158e4c1abc15fc710aa8cfad38406
https://github.com/krb5/krb5/commit/9df0c4bdce6b88a01af51e4bbb9a365db00256d5

actual fix:
https://github.com/krb5/krb5/commit/7dad0bee30fbbde8cfc0eacd2d1487c198a004a1

optional additional fix:
https://github.com/krb5/krb5/commit/970304b558a360e08d8421ef92245d2df0ac5e49

optional test (depends on optional fix):
https://github.com/krb5/krb5/commit/6f8d5135334c9ddb674f9824e750872b3b0642ea


Is it possible to backport to F19 too ?

Comment 1 Fedora Update System 2014-01-22 15:50:05 UTC
krb5-1.11.3-39.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/krb5-1.11.3-39.fc20

Comment 2 Fedora Update System 2014-01-22 15:51:40 UTC
krb5-1.11.3-19.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/krb5-1.11.3-19.fc19

Comment 3 Fedora Update System 2014-01-23 11:15:11 UTC
Package krb5-1.11.3-39.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing krb5-1.11.3-39.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-1395/krb5-1.11.3-39.fc20
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-02-07 03:05:56 UTC
krb5-1.11.3-19.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2014-02-07 03:13:02 UTC
krb5-1.11.3-39.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.